get streaming endpoint.md
Get Streaming Endpoint
Media API · Streaming Endpoints
GET https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}
Retrieves a single Streaming Endpoint.
RBAC Capability Required: ams.streamingendpoint.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
endpoint_name |
string | Yes | — |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}" \
-H "Authorization: Bearer <token>"
Responses
200 — A single Streaming Endpoint
location· string · Required — The name of the location in which the streaming endpoint is located. This field must match the location in which the user's subscription is provisioned.name· string · Optional · 1-64 characters · pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9])$ — The name of the resourceproperties· object · Required — The properties of the streaming endpoint.accessControl· object · Optional — The access control settings for the streaming endpoint.akamai· object · Optional · Deprecated — DEPRECATED: This is provided for backwards compatibility and will be removed in a future release. Akamai access control configuration for the streaming endpoint. If the Akamai CDN profile is specified and CDN is enabled, this field is required.akamaiSignatureHeaderAuthenticationKeyList· list of objects · Required · Deprecated — DEPRECATED: This is provided for backwards compatibility and will be removed in a future release. The Akamai access control configuration for the streaming endpoint. Learn more: https://techdocs.akamai.com/netstorage-usage/reference/example-authentication-headers- Array items (object):
base64Key· string · Optionalexpiration· string · Optionalidentifier· string · Optional
- Array items (object):
ip· object · Optional — IP-based access control configuration for the streaming endpoint. If omitted, this will default to 0.0.0.0/0allow· list of objects · Required — The IP allow list.- Array items (object):
address· string · Requiredname· string · Optional · _Defaults to _ — The name of the IP ACL.subnetPrefixLength· integer · Optional · 0 to 32 · Defaults to 32 — The subnet prefix length (see CIDR notation).
- Array items (object):
advancedSettingsName· string or null · Optional · <=64 characters — Name of the advanced settings configuration to apply to this streaming endpoint. These configuration blocks are managed by MediaKind and you should not set this field unless MediaKind support has asked you to.cdnBasePath· string · Optional — If CDN is enabled, the path that must be inserted after the hostname and before the locator, e.g. https://. cdnEnabled· boolean · Optional · Defaults to false — Indicates if CDN is enabled for the streaming endpoint.cdnProfile· string · Optional · <=100 characters — If CDN is enabled, the optional CDN profile name for the streaming endpoint.cdnProvider· enum · Optional · Deprecated — DEPRECATED: CDN provider is set by default when CDN is enabled. Value will be ignored if provided. This is provided for backwards compatibility and will be removed in a future release.- Allowed values:
StandardAkamai
- Allowed values:
created· string · Optional · format: date-time — The creation date and time of the streaming endpoint. Set by the system.crossSiteAccessPolicies· object · Optional — Cross-site access policies are CDN policies for Smooth or DASH streaming that determine which domains clients are permitted to playback content from.clientAccessPolicy· string or null · Optional — The XML content of the client access policy file. Search 'clientaccesspolicy.xml' to learn more.crossDomainPolicy· string or null · Optional — The XML content of the cross-domain policy file. Search 'crossdomain.xml' to learn more.
customHostNames· list of strings · Optional — NOT SUPPORTED pending implementation of DNS validation. Custom host names for the streaming endpoint. Must be unique within the region. If not specified, a default hostname will be used. The best practice for custom DNS is to use a CNAME pointing to the autogenerated hostname derived from the streaming endpoint name, and to configure your CDN to deliver a HOST header to the origin server for routing purposes.- Array items (string):
description· string or null · Optional · <=1024 characters — The description of the streaming endpoint.hostName· string · Optional — The fqdn of the streaming endpoint. This is the output hostname and is always configured. To set a custom hostname, use the customHostNames property.lastModified· string · Optional · format: date-time — The last modified date and time of the streaming endpoint. Set by the system.maxCacheAge· integer · Optional · 0 to 2592000 · Defaults to 86400 — The maximum amount of time that segments will be cached, in seconds. This value is superseded by any ETAG values set by the infrastructure.maxManifestCacheAge· integer · Optional · 0 to 2592000 · Defaults to 60 — The maximum amount of time that closed manifests will be cached, in seconds. This value is superseded by any ETAG values set by the infrastructure.provisioningState· enum · Optional — The provisioning state of the streaming endpoint. Set by the system. One of InProgress,Succeeded,Failed.- Allowed values:
InProgress,Succeeded,Failed
- Allowed values:
publicName· string · Optional · 3-63 characters · pattern: ^[a-z0-9]+(-[a-z0-9]+)*$ — Public name for the streaming endpointresourceState· enum · Optional — The runtime state of the streaming endpoint. Set by the system.- Allowed values:
Creating,Updating,Scaling,Starting,Stopping,Restarting,Deleting,Running,Stopped,Deleted
- Allowed values:
scaleUnits· integer · Required · >=0 — The number of scale units for the streaming endpoint. This will determine your minimum scale. A value of 0 will result in the streaming endpoints using a Standard SKU. A value greater than zero indicates that the 'Premium' SKUs will be provisioned.shieldCache· object · Optional — Shield cache configuration for the streaming endpoint.scaleUnits· integer or null · Required · 0 to 1024 — The number of scale units for the shield cache. A value of 0 indicates that no shield cache will be deployed. This feature should only be used if advised by MediaKind. It is controlled by a feature flag.
sku· object · Optional — The SKU definition for the streaming endpoint.capacity· integer · Optional — This is the bandwidth capacity of current streaming unit configurationname· enum · Required — The name of the SKU. Will default to 'Standard' if the sku configuration is not provided.- Allowed values:
Standard,Premium
- Allowed values:
urlStyle· string · Optional — The style of URL associated with the streaming endpoint. The default is 'AMS' and you should only use any other value if advised to by MediaKind
tags· map from strings to string · Optional — A dictionary of key:value pairs describing the resource. Search may be implemented against tags in the future.[any key]· string — map of additional properties
Example:
{
"location": "string",
"name": "name",
"properties": {
"accessControl": {
"akamai": {
"akamaiSignatureHeaderAuthenticationKeyList": [
{
"base64Key": "string",
"expiration": "string",
"identifier": "string"
}
]
},
"ip": {
"allow": [
{
"address": "string",
"name": "",
"subnetPrefixLength": 32
}
]
}
},
"advancedSettingsName": "string",
"cdnBasePath": "string",
"cdnEnabled": false,
"cdnProfile": "string",
"cdnProvider": "StandardAkamai",
"created": "2024-01-01T00:00:00Z",
"crossSiteAccessPolicies": {
"clientAccessPolicy": "string",
"crossDomainPolicy": "string"
},
"customHostNames": [
"string"
],
"description": "string",
"hostName": "string",
"lastModified": "2024-01-01T00:00:00Z",
"maxCacheAge": 86400,
"maxManifestCacheAge": 60,
"provisioningState": "InProgress",
"publicName": "string",
"resourceState": "Creating",
"scaleUnits": 0,
"shieldCache": {
"scaleUnits": 0
},
"sku": {
"capacity": 0,
"name": "Standard"
},
"urlStyle": "string"
},
"tags": {
"key": "string"
}
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
429 — Too Many Requests
500 — Internal Server Error
Source spec: media-api · operationId: [get]_/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}